Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412047 - [abrt] hplip-gui: systemtray.py:612:quitTriggered:AttributeError: tray_icon
Summary: [abrt] hplip-gui: systemtray.py:612:quitTriggered:AttributeError: tray_icon
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4edab922742e711eeebee5e2329...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 04:08 UTC by Jeremy Newton
Modified: 2017-12-12 10:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:08:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (314 bytes, text/plain)
2017-01-11 04:08 UTC, Jeremy Newton
no flags Details
File: environ (1.67 KB, text/plain)
2017-01-11 04:08 UTC, Jeremy Newton
no flags Details

Description Jeremy Newton 2017-01-11 04:08:38 UTC
Description of problem:
I believe I clicked on the tray icon, but I'm not sure

Version-Release number of selected component:
hplip-gui-3.16.11-3.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/bin/hp-systray --force-startup
executable:     /usr/bin/hp-systray
kernel:         4.7.10-20161128.amd.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
systemtray.py:612:quitTriggered:AttributeError: tray_icon

Traceback (most recent call last):
  File "/usr/share/hplip/ui5/systemtray.py", line 612, in quitTriggered
    del self.tray_icon
AttributeError: tray_icon

Local variables in innermost frame:
self: <ui5.systemtray.SystemTrayApp object at 0x7f5207b16558>

Comment 1 Jeremy Newton 2017-01-11 04:08:44 UTC
Created attachment 1239304 [details]
File: backtrace

Comment 2 Jeremy Newton 2017-01-11 04:08:45 UTC
Created attachment 1239305 [details]
File: environ

Comment 3 Zdenek Dohnal 2017-01-11 17:35:09 UTC
Hi,

would you mind trying the newest build if it solves issue? https://koji.fedoraproject.org/koji/buildinfo?buildID=832830

Comment 4 Jeremy Newton 2017-01-11 19:56:31 UTC
I'm not sure what caused it, so I'll have to see if I can reproduce.

Comment 5 Jeremy Newton 2017-01-24 04:04:09 UTC
I have no idea how to reproduce. Hopefully the trace helps figure it out; it seems like it's related to the quit command. Considering that you reverted the commit, I assume it didn't actually fix anything. I already have python3-qt5 installed anyway, so this wouldn't fix it.

Comment 6 Fedora End Of Life 2017-11-16 14:45:25 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:08:34 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.